import type { IEventBus } from "../../../utils/EventBus";
import type { IPendingTransactionsModalData } from './pending-transactions-modal.types';
export declare class PendingTransactionstModal {
    hostElement: HTMLElement;
    private eventBus;
    data: IPendingTransactionsModalData;
    getEventBus(): Promise<IEventBus>;
    render(): any;
    close(props?: {
        isUserClick: boolean;
    }): void;
    private dataUpdate;
    componentDidLoad(): void;
    disconnectedCallback(): void;
}
